public class Array {

	/**
	 * Find the first index of an integer
	 * 
	 * @param a
	 *            an array of integers
	 * @param n
	 *            an integer
	 * @throws IllegalArgumentException
	 *             if the array is null
	 * @returns the first occurrence of the integer or -1 if the integer is not
	 *          contained in the array
	 * 
	 */
	public static int indexOf(int[] a, int n) {
		if (a == null) {
			throw new IllegalArgumentException("The array must not be null");
		}
		int index = -1;
		for (int i = 0; i <= a.length; i++) {
			if (a[i] == n) {
				index = i;
				break;
			}
		}
		return index;
	}

	/**
	 * Find the average of an array's integers
	 * 
	 * @param a
	 *            an array of integers
	 * @throws IllegalArgumentException
	 *             if the array is either null or empty
	 * @returns the average computed over the array's integers
	 * 
	 */
	public static int average(int[] a) {
		if (a == null) {
			throw new IllegalArgumentException("The array must not be null");
		}
		if (a.length == 0) {
			throw new IllegalArgumentException("The array must be nonempty");
		}
		int sum = 0;
		for (int i = 1; i < a.length; i++) {
			sum += a[i];
		}
		return sum / a.length;
	}

}
